Add respondents
curl --request POST \
--url https://api.pickfu.com/v1/surveys/{id}/respondents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"respondentsAmount": 500,
"preview": false
}
'import requests
url = "https://api.pickfu.com/v1/surveys/{id}/respondents"
payload = {
"respondentsAmount": 500,
"preview": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({respondentsAmount: 500, preview: false})
};
fetch('https://api.pickfu.com/v1/surveys/{id}/respondents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"preview": true,
"data": {
"currentRespondents": 123,
"newRespondents": 123,
"additionalRespondents": 123,
"amount": 123,
"balance": 123,
"currency": "<string>",
"canPayWithBalance": true,
"id": "<string>",
"respondentsAmount": 123,
"state": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}"<string>"{
"error": "<string>",
"message": "<string>",
"amount": 123,
"balance": 123,
"currency": "<string>"
}{
"error": "<string>",
"message": "<string>"
}"<string>"{
"error": "<string>",
"message": "<string>"
}Surveys
Add respondents
Adds more respondents to a completed survey by extending the sample size. The respondentsAmount parameter is the new total number of respondents (not the number to add).
Prerequisites
- Survey must be completed (
donestatus) - MTurk-sourced surveys only
- Under 1000 total respondents
- Completed within the last 120 days
- Account must have sufficient credits
Use preview: true to get a cost estimate without making changes. Credits-only — card payment is not supported via the API.
POST
/
surveys
/
{id}
/
respondents
Add respondents
Authorizations
OAuth2 access token obtained via the authorization flow. Include in the Authorization header as: Bearer {access_token}
Path Parameters
Survey ID (GUID)
Body
application/json
Was this page helpful?
⌘I
